> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mem0.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Feedback

> Submit positive or negative feedback on memory results to help improve memory accuracy and relevance.



## OpenAPI

````yaml post /v1/feedback/
openapi: 3.0.1
info:
  title: Mem0 API Docs
  description: mem0.ai API Docs
  contact:
    email: support@mem0.ai
  license:
    name: Apache 2.0
  version: v1
servers:
  - url: https://api.mem0.ai/
security:
  - ApiKeyAuth: []
paths:
  /v1/feedback/:
    post:
      tags:
        - feedback
      description: Submit feedback for a memory.
      operationId: submit_feedback
      requestBody:
        content:
          application/json:
            schema:
              required:
                - memory_id
              type: object
              properties:
                memory_id:
                  type: string
                  description: ID of the memory to provide feedback for
                feedback:
                  type: string
                  enum:
                    - POSITIVE
                    - NEGATIVE
                    - VERY_NEGATIVE
                  nullable: true
                  description: Type of feedback
                feedback_reason:
                  type: string
                  nullable: true
                  description: Reason for the feedback
        required: true
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    description: Feedback ID
                  feedback:
                    type: string
                    enum:
                      - POSITIVE
                      - NEGATIVE
                      - VERY_NEGATIVE
                    nullable: true
                    description: Type of feedback
                  feedback_reason:
                    type: string
                    nullable: true
                    description: Reason for the feedback
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
      x-code-samples:
        - lang: Python
          source: >-
            # To use the Python SDK, install the package:

            # pip install mem0ai


            from mem0 import MemoryClient

            client = MemoryClient(api_key="your_api_key")


            # Submit feedback for a memory

            feedback = client.feedback(memory_id="memory_id",
            feedback="POSITIVE")

            print(feedback)
        - lang: JavaScript
          source: |-
            // To use the JavaScript SDK, install the package:
            // npm install mem0ai

            import MemoryClient from 'mem0ai';

            const client = new MemoryClient({ apiKey: 'your-api-key'});

            client.feedback({
                memory_id: "your-memory-id", 
                feedback: "NEGATIVE", 
                feedback_reason: "I don't like this memory because it is not relevant."
            })
        - lang: cURL
          source: |-
            curl --request POST \
              --url https://api.mem0.ai/v1/feedback/ \
              --header 'Authorization: Token <api-key>' \
              --header 'Content-Type: application/json' \
              --data '{"memory_id": "memory_id", "feedback": "POSITIVE"}'
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key authentication. Prefix your Mem0 API key with 'Token '. Example:
        'Token your_api_key'

````